> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hypercore.vn/llms.txt
> Use this file to discover all available pages before exploring further.

# List Teams

> Retrieve all teams the user is a member of



## OpenAPI

````yaml /api-reference/openapi.yaml get /teams
openapi: 3.0.3
info:
  title: HyperCore Cloud API - OpenAPI 3.0
  description: >-
    Welcome to the **HyperCore Cloud API** documentation. This API allows
    developers to seamlessly integrate with the HyperCore Cloud platform,
    enabling them to manage cloud resources efficiently and securely. With our
    API, you can automate processes, retrieve detailed account information, and
    manage virtual machines (VPS), networking, storage, and more.
  contact:
    email: support@hypercore.vn
  version: 1.2.0
servers:
  - url: https://api.hypercore.vn
security: []
tags:
  - name: SSH Key
    description: Manage SSH keys for secure server access.
  - name: VPC
    description: Manage Virtual Private Cloud (VPC) networks for isolated networking.
  - name: Firewall
    description: Manage firewall groups for VM security.
  - name: OS Template
    description: >-
      We have a wide range of operating systems available to deploy server
      instances.
  - name: Instance Type
    description: We provide different instance types for different workload.
  - name: Startup Script
    description: >-
      Manage startup scripts that run on first boot of a server instance.
      Maximum 10 scripts per team.
  - name: IP List
    description: >-
      Manage IP lists for use in firewall rules. IP lists group multiple IP
      addresses/CIDRs together.
  - name: Firewall Rule
    description: Manage firewall rules within a firewall group.
  - name: Object Storage
    description: Manage S3-compatible object storage services, buckets, and access keys.
paths:
  /teams:
    get:
      tags:
        - Teams
      summary: List Teams
      description: Retrieve all teams the user is a member of
      operationId: getTeams
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Teams'
      security:
        - api_key: []
components:
  schemas:
    Teams:
      type: array
      items:
        $ref: '#/components/schemas/Team'
    Team:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: c1d45377-b2a9-4407-ab8d-6909c34dfaac
        name:
          type: string
          format: string
          example: IT Development
        role:
          type: string
          enum:
            - Team Owner
            - Team Admin
            - Team Member
            - Team Biller
  securitySchemes:
    api_key:
      type: http
      scheme: bearer

````